
const {models} = require("../models");

models.user.findOne( { where: {username: "Pepe"}} )
.then(user => { 
    if (!user) {
        throw new Error("No existe el Usuario");
    }
    console.log('Usuario encontrado.');
    return user.id;
})
.then(userid => { 

    return models.quiz.bulkCreate( 
        [ {question: '1+2', answer: '3', authorId: userid},
          {question: '3*2', answer: '6', authorId: userid},
          {question: '5-2', answer: '3', authorId: userid}
        ])
        .then(quizzes => {
            console.log('Creados varios quizzes.');
        });

})
.catch(error => {
    console.log("Error:", error);
});


