
const {models} = require("../models");

models.quiz.findAll({ order: [['updatedAt','DESC']],
	                  include: [ { model: models.user, 
	                               as: 'author' } 
	                           ] 
})
.then(quizzes => {
    quizzes.forEach(quiz => {
		console.log("Preg:", quiz.question, 
			        "Resp:", quiz.answer, 
			        "By:", quiz.author.username);
	});
})
.catch(error => {
    console.log("Error:", error);
});


