
const Sequelize = require("sequelize");
const Op = Sequelize.Op;

const {models} = require("../models");

models.quiz.findAll({ where: { question: { [Op.like]: '%2%' }}})
.then(quizzes => {

	return models.user.findAll()
		.then(users => {
				users.forEach(user => {
					return user.addFavouriteQuizzes(quizzes);
				});
		});
})
.catch(error => {
    console.log("Error:", error);
});

