
const {models} = require("../models");

models.user.findAll()
.then(users => {
    users.forEach(user => {  
    	console.log("User:", user.username);

    	return models.quiz.findAll({where: {authorId: user.id}}) 
        .then(quizzes => {
            quizzes.forEach(quiz => {  
                console.log("  * Preg:", quiz.question, "Resp:", quiz.answer);

                return models.tip.findAll({where: {quizId: quiz.id,
                                                   accepted: true}
                })  
                .then(tips => {
                    tips.forEach(tip => {  
                        console.log("       > ", tip.text);
                    });
                });
            });
        });
    });
})
.catch(error => {
    console.log("Error:", error);
});
