
const Sequelize = require("sequelize");

const {models} = require("../models");

models.user.create( { username: "Pepe",     // Persistente
                      password:  "1234",
                      isAdmin: true
                    })
.then(user => { 
    console.log('Usuario ' +  user.username + ' creado con éxito.');
})
.catch(Sequelize.ValidationError, error => {
    console.log("Errores de validación:");
    error.errors.forEach(({message}) => console.log('Error:', message));
})
.catch(error => {
    console.log("Error:", error);
});



