
const {models} = require("../models");

models.user.findAll({ include: [{ model: models.quiz,
                                  include: [ { model: models.tip,
                                               where: {accepted: false} }]}]
                    })
.then(users => {
    users.forEach(user => {  
    	console.log("User:", user.username);

        user.quizzes.forEach(quiz => {  
            console.log("  * Preg:", quiz.question, "Resp:", quiz.answer);

            quiz.tips.forEach(tip => {  
                console.log("       > ", tip.text);
            });
        });
    }); 
})
.catch(error => {
    console.log("Error:", error);
});
