

const {models} = require("../models");

models.user.findOne( { where: {username: "Pepe"}} )
.then(user => { 
    if (user) {
        console.log('Usuario encontrado.');
        
        return models.quiz.bulkCreate( 
            [ {question: '1+2', answer: '3', authorId: user.id},
              {question: '3*2', answer: '6', authorId: user.id},
              {question: '5-2', answer: '3', authorId: user.id}
            ])
            .then(quizzes => {
                console.log('Creados varios quizzes.');
            });
    } else {
        throw new Error("No existe el Usuario");
    }
})
.catch(error => {
    console.log("Error:", error);
});


