
const {models} = require("../models");

models.user.create( { username: "Juan",
                      password: "1234",
                      quizzes: [ { question: "12345", answer: "6" },
                                 { question: "13579", answer: "11" },
                                 { question: "11235", answer: "8" }
                               ]
                    }, 
                    { include: [ models.quiz ]
                    }
                  )
.then(user => {
    console.log('Creado Usuario con varios quizzes.');
})
.catch(error => {
    console.log("Error:", error);
});



