'use strict';

module.exports = {
  up: function (queryInterface, Sequelize) {

      return  Sequelize.Promise.all([
          queryInterface.addColumn( 'tips', 
                                    'quizId', 
                                    { type: Sequelize.INTEGER }
                                  ),
          queryInterface.addColumn( 'quizzes', 
                                    'authorId', 
                                    { type: Sequelize.INTEGER }
                                  )
      ]);
  },

  down: function (queryInterface, Sequelize) {
      return Sequelize.Promise.all([
          queryInterface.removeColumn('tips','quizId'),
          queryInterface.removeColumn('quizzes','authorId')
      ]);
  }
};
