'use strict';

module.exports = {
  up: function (queryInterface, Sequelize) {

      return queryInterface.createTable(
           'favourites', 
           { quizId:    { type: Sequelize.INTEGER,  allowNull: false,
                          primaryKey: true,         unique: "compositeKey" },
             userId:    { type: Sequelize.INTEGER,  allowNull: false, 
                          primaryKey: true,         unique: "compositeKey" },
             createdAt: { type: Sequelize.DATE,     allowNull: false },
             updatedAt: { type: Sequelize.DATE,     allowNull: false }
           },
           { sync: {force: true}
           }
      );
  },

  down: function (queryInterface, Sequelize) {
      return queryInterface.dropTable('favourites');
  }
};
